Skip to main content
GET
/
api
/
crew-runs
List runs
curl --request GET \
  --url https://api.example.com/api/crew-runs \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "correlation_id": "<string>",
    "owner_id": "<string>",
    "created_at": "<string>",
    "crew_type": "<string>",
    "crew_config": {
      "agents": [
        {
          "role": "<string>",
          "goal": "<string>",
          "backstory": "<string>",
          "id": "<string>",
          "verbose": false,
          "allow_delegation": false,
          "tools": [
            "<string>"
          ],
          "tool_categories": [
            "<string>"
          ],
          "use_default_mcps": true
        }
      ],
      "tasks": [
        {
          "description": "<string>",
          "agent_index": 0,
          "expected_output": "",
          "tools": [
            "<string>"
          ]
        }
      ],
      "id": "<string>",
      "verbose": false,
      "process": "sequential"
    },
    "task_input": {},
    "result": "<string>",
    "error": "<string>",
    "started_at": "<string>",
    "completed_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer
default:100

Response

Successful Response

id
string
required
correlation_id
string
required
owner_id
string
required
status
enum<string>
required
Available options:
pending,
running,
completed,
failed
created_at
string
required
crew_type
string | null
crew_config
CrewConfig · object

Configuration model for a CrewAI crew with agents and tasks.

task_input
Task Input · object
result
string | null
error
string | null
started_at
string | null
completed_at
string | null